using System;
using System.ComponentModel.DataAnnotations;
using Newtonsoft.Json;

namespace IDIS.Models
{

	/// <summary>
	/// 标识的格式
	/// </summary>
	[Serializable]
	public class IDIS_IdData
	{
		public IDIS_IdData(int index,string type,string name, string realVal)
		{
			Index = index;
			Type = type;
			Name = name;
			RealVal = realVal;
		}
		
		/// <summary>
		/// 索引,通常用于排序
		/// </summary>
		[JsonProperty("index")]
		public int Index { get; set; }

		/// <summary>
		/// 记录的名称,通常为中文
		/// </summary>
		[JsonProperty("name")]
		public string Name { get; set; }

		/// <summary>
		/// 值类型,例如string,url,site
		/// </summary>
		[JsonProperty("type")]
		public string Type { get; set; }

		/// <summary>
		/// 值
		/// </summary>
		[JsonProperty("realVal")]
		public string RealVal { get; set; }

		/// <summary>
		/// 值的引用
		/// </summary>
		[JsonProperty("references")]
		public string[] References { get; set; } = Array.Empty<string>();
	}
}