using Newtonsoft.Json;

namespace IDIS.Models;

/// <summary>
/// 用于序列化的注册数据结构
/// </summary>
public class IDIS_Register_Data
{
	public record ValueData
	{
		[JsonProperty("format")] 
		public string Format;
		[JsonProperty("value")] 
		public string Value;
		
	}
	public record ValueInfo
	{
		[JsonProperty("auth")] 
		public string Auth;
		[JsonProperty("index")] 
		public int Index;
		[JsonProperty("data")] 
		public ValueData Data;
		[JsonProperty("type")] 
		public string Type;
	}

	[JsonProperty("handle")]
	public required string Handle;
	[JsonProperty("templateVersion")]
	public required string TemplateVersion;
	[JsonProperty("value")]
	public required ValueInfo[] Value;
}