using System;
using Newtonsoft.Json;

namespace IDIS.Models
{
	/// <summary>
	/// 标识模板
	/// </summary>
	public class IDIS_Template
	{
		public IDIS_Template()
		{
			
		}
		public IDIS_Template(string prefix, string version)
		{
			Prefix = prefix;
			Version = version;
		}

		/// <summary>
		/// 前缀,例如 88.123.99
		/// <para>必填</para>
		/// </summary>
		[JsonProperty("prefix")]
		public string Prefix { get; set; } = nameof(IDIS_Template);

		/// <summary>
		/// 模板版本
		/// <para>必填</para>
		/// </summary>
		[JsonProperty("version")]
		public string Version { get; set; } = "alpha-1.0";

		/// <summary>
		/// 描述
		/// <para>非必填</para>
		/// </summary>
		[JsonProperty("description")]
		public string Description { get; set; } = string.Empty;
	
		/// <summary>
		/// 模板内容
		/// <para>必填</para>
		/// </summary>
		[JsonProperty("items")]
		public IDIS_Template_Item[] Items { get; set; } = Array.Empty<IDIS_Template_Item>();
	}
}