using System;
using Cysharp.Threading.Tasks;
using IDIS.Models;

namespace IDIS.Services
{
	/// <summary>
	/// 标识模板服务
	/// </summary>
	public interface IDIS_TemplateService
	{
		event Action<IDIS_Template> OnTemplateCreated;
		event Action<IDIS_Template> OnTemplateDeleted;
		
		/// <summary>
		/// 查询标识模板
		/// </summary>
		/// <param name="prefix">前缀</param>
		/// <param name="version">模板版本</param>
		/// <returns></returns>
		UniTask<IDIS_Template> QueryAsync(string prefix, string version);

		/// <summary>
		/// 获取所有数据模板
		/// </summary>
		/// <returns></returns>
		UniTask<IDIS_Template[]> ToArrayAsync();
		
		/// <summary>
		/// 保存数据模板
		/// <para>模板不存在时为会新增模板信息</para>
		/// </summary>
		/// <param name="template">模板信息</param>
		UniTask SaveAsync(IDIS_Template template);
		
		/// <summary>
		/// 删除数据模板
		/// </summary>
		/// <param name="prefix"></param>
		/// <param name="version"></param>
		UniTask DeleteAsync (string prefix, string version);
	}
}